Summary:	MS-Explorer-like minimalist file manager for X
Name:		xfe
Version:	1.34
Release:	%mkrel 2
License:	GPLv2+
Group:		File tools
Url:		http://roland65.free.fr/xfe
Source0:	http://downloads.sourceforge.net/xfe/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Patch0:		xfe-1.32.2-missing_Xlib_h.patch
Patch1:		xfe-1.32.4-xferc-path.patch
Patch2:		xfe-1.34-desktop-fix.patch
BuildRequires:	libpng-devel
BuildRequires:	fox1.6-devel
BuildRequires:	libxft-devel
BuildRequires:	intltool

%description
X File Explorer (Xfe) is an MS-Explorer like file manager for X.
It is based on the popular, but discontinued, X Win Commander,
originally developed by Maxim Baranov.

Xfe aims to be the file manager of choice for all light thinking Unix addicts!

%prep
%setup -q
%patch0 -p0
%patch1 -p1
%patch2 -p0

%build
export CXXFLAGS="-O2  -I/usr/include/fox-1.6 -DHAVE_XFT_H -DSTARTUP_NOTIFICATION"
%configure2_5x \
	--disable-rpath \
	--enable-release \
	--enable-threads=posix \
	--without-included-gettext
sed -i 's|iconpath = /usr/share/xfe/icons/gnomeblue-theme|iconpath = /usr/share/xfe/icons/|g' xferc
%make

%install
%makeinstall_std rcdir=%{_sysconfdir}/%{name}
install -m644 -D %{SOURCE1} %{buildroot}%{_datadir}/applications/xfe.desktop
cp -r icons/xfe-theme/* %{buildroot}%{_datadir}/%{name}/icons


%find_lang %{name}


%files -f %{name}.lang
%doc AUTHORS README TODO ChangeLog
%{_bindir}/xf*
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}/xferc
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png
%{_datadir}/pixmaps/*.xpm
%{_datadir}/%{name}/icons
%{_mandir}/man1/*




%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.34-2.mga4
+ Revision: 523907
- Mageia 4 Mass Rebuild

* Sun May 26 2013 fwang <fwang> 1.34-1.mga4
+ Revision: 428139
- new version 1.34

* Mon Jan 14 2013 umeabot <umeabot> 1.33-2.mga3
+ Revision: 386898
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 08 2012 fwang <fwang> 1.33-1.mga3
+ Revision: 289922
- new version 1.33

* Tue Jul 03 2012 fwang <fwang> 1.32.5-1.mga3
+ Revision: 266861
- update desktop file patch
- new version 1.32.5

* Fri Feb 03 2012 malo <malo> 1.32.4-1.mga2
+ Revision: 204181
- use %%mkrel.
- spec clean-up after import from Mandriva
- little patching for correct icon and config paths
- imported package xfe


* Thu Nov 17 2011 Alexander Khrukin <akhrukin@mandriva.org> 1.32.4-1
+ Revision: 731203
- version update

* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 1.19.2-4mdv2011.0
+ Revision: 615676
- the mass rebuild of 2010.1 packages

* Sun May 02 2010 Funda Wang <fwang@mandriva.org> 1.19.2-3mdv2010.1
+ Revision: 541529
- fix build with gcc 44

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Sun Aug 03 2008 Frederik Himpe <fhimpe@mandriva.org> 1.19.2-1mdv2009.0
+ Revision: 261986
- update to new version 1.19.2

* Thu Jul 10 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.19.1-1mdv2009.0
+ Revision: 233529
- update to new version 1.19.1

* Mon Jun 16 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.19-1mdv2009.0
+ Revision: 219403
- update to new version 1.19

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu Jun 05 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.18-1mdv2009.0
+ Revision: 215216
- fix file list
- update to new version 1.18
- add missing buildrequires
- new version
- new library policy
- compile with posix thread suport

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Apr 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.99-1mdv2008.0
+ Revision: 14817
- new version

